/* &: SW/SpywordsFront/front/public/assets/css/spywords-loader.css 2026-01-19 */

:root {
    --sw-size: 100px; /* размер логотипа */
}

.over {
    background: #333;
    opacity: 0.8;
    position: fixed;
    width: 100%;
    z-index: 900;
    height:100%;
}

.spywords-loader {
    width: var(--sw-size);
    height: var(--sw-size);
    place-items: center;
    position: fixed;
    left: 47%;
    top: 40%;
    z-index: 999;
    /* display: grid; */
    display:none;
}

.spywords-loader img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    border-radius: 50%;
    animation: spinZ 1.8s ease-in-out infinite;
}

/* Поддержка prefers-reduced-motion */
@media (prefers-reduced-motion: reduce) {
    .spywords-loader img {
        animation-duration: 0.001ms !important;
        animation-iteration-count: 1 !important;
    }
}

/* Анимация: переменная скорость */
@keyframes spinZ { to { transform: rotate(360deg); } }
